"use strict";
angular.module("pdf-service", [])
.factory('PdfService',function($http,$ionicPopup){
return {
	getBook : function(i){
		return window.pdfs[i];
	},
	getPathTo : function (pdfIndex,pageIndex){
		var pdf = window.pdfs[pdfIndex];
		var chapterPos = pdf.pages[pageIndex].split(' ')[0];
		var hasParent = chapterPos.indexOf('.') != -1;

		var pth=[];
	    if( hasParent ){
	//console.log( 'loadPage hasParent'  )    ;
	      var current = chapterPos.split('.');
	      current.pop(); // don't need the current one.
	//console.log( 'loadPage hasParent pop'  )    ;

	      while( current.length > 0 ){
	//console.log( 'loadPage while current '+current.length  )    ;
	        var pag = pdf.pages.find(function(ele,idx,arr){
	//console.log( 'loadPage find ');
	//console.log( '| '+ele);
	          var t = current.join('.');
	//console.log( '| '+t);
	          var r = ele.indexOf( t+' ');
	//console.log( '= '+r);
	          return r == 0;
	        });
	//console.log( 'loadPage hasParent pag '+pag  )    ;
	        pag = this.fileNameToTitle( pag );
	//console.log( 'loadPage hasParent push '+pag  )    ;
	        pth.push( pag );
	        current.pop();
	      }

	      pth.reverse();
	    }
	    return pth;
	},
	fileNameToTitle : function fileNameToTitle( nam ){
		var n = nam.split(' ').reverse();
		n.pop()
		return n.reverse().join(' ').replace('.html','');
	}
}
});
