"use strict";
angular.module("email-service", []).
factory('emailService',function($rootScope,$http,$ionicPopup){

var host = 'https://app.evcloud.co.uk';
var username = 'akicare-core';
var password = '4tHQs9T';
var from = 'app';

var _hdr = {
	headers:{
		'Authorization' : 'Basic ' + btoa(username + ":" + password)
	}
};

var templateNameToSubject = {
	referralHistory : 'AKI Care : past results',
	furtherAdvice : 'AKI Care : further advice notes',
	furtherAdvice_2 : 'AKI Care : further advice notes',
	referalResult_2 : 'AKI Care : referral results',
	referalResult_3 : 'AKI Care : referral results',
	patientLeaflet : 'AKI Patient leaflet'
};

var filterNull = function(variable) {
	if (Array.isArray(variable)) {
		for (var i = 0; i < variable.length; i++) {
			filterNull(variable[i])
		}
	} else if (typeof variable == 'object') {
		for (var key in variable) {
			if (variable[key] == null || typeof variable[key] == 'null') {
				delete variable[key]
			} else {
				filterNull(variable[key])
			}
		}
	}
	if (variable == null || typeof variable == 'null') {
		variable = 'undefined'
	}
};

return {

	sendEmail:function( template,to,data ){
		return $http.post(
			host+'/api/connect/'+$rootScope.p+'/'+$rootScope.id,
			{},
			_hdr
		)
		.then( function(result){
			filterNull(data)
			return $http.post(
				host+'/api/email/send/'+template,
				{
					token:result.data.token,
					subject: templateNameToSubject[template],
					to: to,
					from:from,
					data:JSON.stringify( data )
				},
				_hdr
			)
		})
		.then( function(result){
			return result.data;
		});

	}
}

});
